Wii Homebrew Downloads
Übersicht Downloads suchen
Download im Detail

Pimp My Wii v.3.01

Dateigröße Dateigröße: 2.9 MB Downloads Downloads: 81810 Sprache Sprache: mehrsprachig
Autor Autor: Attila Webseite Webseite: Homepage Datum Geändert am: 08.01.2013

Download

Bitte bewerten Sie den Download angemessen!
(250 Stimmen)

Mit Pimp My Wii lassen sich fehlende und veraltete IOS-Dateien und Firmwares installieren. So ist es möglich, mit einer älteren Firmware Features aus höheren Firmwares zu genießen, wie z.B den Wii-Shop mittles Wii-Shop Update.  Sowas ist zwar auch mit anderen Programmen möglich, aber dieses Programm soll sicherer ein.

An diese Homebrew sollten sich nur gut informierte User heranwagen, da sie tief in das System der Wii eingreift, trotz der Meinung, dass das Tool sicher sein soll. Verwendung auf eigene Gefahr.

Pimp my wii

Changelog:
 

Version 3.01
- Added the utilisation of the ios/titles from the nand in addition to the wads from sd/usb or from nintendo's server.
So on WiiU, it isn't mandatory anymore to have the wad files.
But you must have exactly the same revision on the nand, and the file shouldn't be modified.
- Updated the WiiU specific patchs by damysteryman (patch of the error 1017 and 1029). Thanks to him.
- Fixed the selection of an IOS and the non scan of an IOS in the menu "Perform the test".
- Fixed the installation of a cMIOS.
- Fixed the list of the IOS source for the d2x cIOS on Wii.
- Changed the signature of the d2x cIOS v10/v10-alt to beta52 and beta53-alt.
- On WiiU, when selecting an IOS, the 249 isn't auto selected by default because the d2x cIOS doesn't patch the error -1017 on WiiU. The IOS 36 (if modified) will be preferable.

 

Version 3.00
- Version compatible WiiU in Wii mode and Wii.
- Added for initial support to the Wii mode of the WiiU. In this mode, you can (at the moment) only do a test, install or uninstall a wad, export some informations or install a cIOS (d2x v10).
- Updated the cIOS d2x to v10 and v10 alt. The alt version is marqued as v10.1.
- Modification of all the tests, ios and channels to match the WiiU.
- Added an anti brick Wii and WiiU, to prevent the installation of an IOS intended for one on the other. This protection is in place in the "wad" menu and in the others menu when installing an IOS.
- On WiiU: The download of IOS is impossible. You should place the wad files on SD or USB. You can created the wad files with FSToolboxx and Showmiiwads-mod by Orwel. The created files should be named like IOSXY-64-v1337.wad.
- Added a protection in the wad menu which prevent the installation of a stub on the slot used by the system menu, or the uninstallation of this ios.
- Fixed the uninstallation of a wad without a cIOS.

 

Version 2.32
- Fix a possible crash when starting a test.
- Added the export of the number of the loaded IOS, and if AHBPROT is activated or not.
- Added the installation of the IOS 62.
- Updated the wii shop.

 

Version 2.31
- Compiled with libogc 1.8.11 and libfat 1.0.11.
- Updated d2x cIOS v9 beta to beta 49. It is available only in "Install cIOS" mode. Warning, it will be writen nowhere that it is a beta, but it is. When the final version of v9 will be out, you'll have to install the update yourself because pimp my wii does not recognise the difference between the beta and the final version.
- Pimp will now detect as outdated USB Loader GX with a version lower than 3.0 (instead of 2.2 in previous versions).
- Added the detection of Dios Mios/Dios Mios ite in the export and during the installation.


Version 2.30
- Removes some informations (related to savegame) in TXT export, to lower its size (the CSV export is still complete).
- Fix the bug that could have changed the Wiimote number during Pimp utilisation.
- Compiled with devkitPPC 25-1 and libogc 1.8.10 (this introduce the support of the new Wiimotes RVL-CNT-01-TR).
- Using threads to try to fix (bypass) the freezes some people got during IOSes scan.
- Utilisation de threads pour essayer de contourner les blocages durant les scans d'IOS.
- Updated the d2x cIOS to v8.
- Added the d2x cIOS v9 (beta 47), available only on the mode "Install cIOS". It won't be installed on "Hack the Wii" or "Pass the test and fix problems".
Warning: It's writting nowhere that it's a beta, but it is. When the final version will be out, you must manually install the new version since pimp my wii does not differentiate beta and final versions.
- Added a little temporisation when doing an IOS reload.

 

Version 2.29
- Updated d2x cIOS to v7. In the mode "Install cIOS", you can now choose to install the versions 6     or 7. In the "test" mode, if you have the v6, your cIOS will be detected as obsolete.
- Added the patch for the support of Korean Wii in the d2x cIOS.
- The txt and csv export now displays the homebrews you have on your sd (in the folder /apps), and their versions (using the meta.xml).
- The export now displays if you have priiloader/preloader installed.
- Fixed the export which might not display the Wii keys.

 

Version 2.28
- Check added which will avert you if some homebrews aren't updated. Pimp check the version of the following homebrew (the dirnames must match, and are not case sensible) :
-> Neogamma, in version R9 beta 50 minimum. Dirname : neogamma
-> USB Loader gx, in version 2.2 minimum. Dirname : usbloader_gx
-> uloader, in version 5.1 minimum. Dirname : uloader
-> Wiiflow, in version 2.2 (ou r302) minimum. Dirname : wiiflow
-> Configurable USB Loader, in version 70 minimum. Dirname : usbloader or usbloader_cfg
Pimp My Wii does not update those homebrews itself. No verification will be made on channels, only on the files installed on the SD card in the directory /apps/.

 

Version 2.27
- Fix a bug appeared in 2.26 which caused d2x cIOSes to not be detected.

 

Version 2.26
- Added a protection which prevent in the "wad" menu to delete the Boot2, SystemMenu, BC or MIOS.
- Updated libogc to 1.8.8.

- Fixes a freeze which may appear on not network connected Wii

 

Version 2.25 

- Updated DevkitPPC to r24 and libfat to 1.0.10.

- Changed the optimisation of the GCC compiler (may fix some crashes).

- Improved the informations in the export txt / csv.

- Added a warning in the "Install Wad" mode, which will ask you a confirmation if you want to install a stubbed IOS.
  
Version 2.24
- Now using d2x cIOS by default instead of Waninkoko's one on IOS 249 and 250. If you don't have the d2x cIOS v6, pimp will tell you that you have an old cIOS, even if you already have the latest Waninkoko cIOS.
- Now using IOS 56 v5661 on slot 249 instead of the IOS 38.
- Now detect wad files named "EULA-NUS-vX.wad" for EULA.
- Updated libraries to devkitPPC release 23, libogc 1.8.7.
- Exported informations (TXT and CSV files) on SD and USB are now sorted.

Version 2.23
- Updated the d2x cIOS from v4 to v6. Brings the support of "IOS Reload" games on WBFS/FAT32/NTFS from USB. You need to use an updated Configurable Usb Loader, Neogamma or Usb Loader GX (and not Wiiflow).
- Changed the detection of the wad filename for offline mode, for those titles (you need to use NUSD 1.9) :
-> Mii Channel : Changed from "Mii Channel-NUS-vX.wad" to "RVL-NigaoeNR-vX.wad"
-> Weather Channel : Changed from "Weather Channel-NUS-vX.wad" to "RVL-Weather-vX.wad"
- The default revision of the destinations' IOS in the menu "Install cIOS" is now :
-> 20/21 for the Waninkoko cIOS
-> 65535 for the Hermes cIOS
-> 21006 for the d2x cIOS
- Key pressed by mistake now aren't take in count anymore (example: Double press of the A button).
- Added the detection of new cIOS in an advanced mode, using the technique created recently which use a signature file of cIOS. (Same as Modmii).
- In the export, name of cIOS are now displayed.
- Added an export in text mode (file pimpmywii.txt at the root of the SD/USB), in addition to the CSV file.
- Added the displaying of the cIOS installed in the choice of which cIOS to install.
- The menu "Infos" is renamed "Export infos".
- Changed (temporarely ?) the background to a new made by Wolf13220 (thanks to him).

Version 2.22
- Updated the cIOS D2X from v3 to v4 (you can install it with the menu "Install cIOS".
- Fixed a rare bug where if you don't have the IOS 4 (it's normally quite impossible), pimp couldn't find any useful IOS.
- Fixed the NUSD scripts for the IOS 61 and the MIOS. Thanks Orwel for these scripts !

Version 2.21
- Added detection of version 21, 20, 19, 18, 17, 16, 15 and 14 of the Waninkoko's cIOS
- Menu "Downgrade IOS 15" replaced by "Install IOS" who install Waninkoko's cIOS, "d2x" or Hermes cIOS. You have the choice between Waninkoko's cIOS rev 20 and rev 21, "d2x" rev 21 v3, and Hermes 5.1.
For Waninkoko's cIOS, you can choose this IOS source: IOS36 v3607 IOS37 v5662 IOS38 v4123 IOS53 v5662 IOS55 v5662 IOS56 v5661 IOS57 v5918 IOS58 v6175 IOS60 v6174 IOS61 v5661 IOS70 v6687 IOS80 v6943.
For Hermes cIOS, you have the choice between IOS60 v6174, IOS38 v3867, IOS37 v3869 and IOS57 v5661.
You can install him on any slot (between 9 and 254). You have the choice of the installed revision.
- Added install of IOS 58 in "Hack your Wii / Minimal installation" if it's not installed or modified.
- Change informations displayed when installed cIOS's.
- Update libogc and libfat to the last SVN version: improvement of USB compatibility.
- The power button of the Wiimote now shut down the Wii.
- Added possibility to install Wiigator's cMIOS for reading GC backups. You have the choice to install an original MIOS or a cMIOS.
- During the test, if you haven't cMIOS, Pimp proposes to install it, even for the mode "Hack your Wii / Minimal installation".
- Correction a few sentences. Thanks to ravmn for the Spanish translation.
- Added scripts for NUSD to install IOS's and necessary titles if you haven't internet on Wii. hack_wii_minimal.nus is used for mode "Hack your Wii / Minimal installation", the other 3 are used for mode "Perform the test and fix problems" and depend on the region of the console.
- Update IOS 61 to v5662.
- Added surprise when you press Plus button. (R button on GC pad).

Version 2.20
- Updated libfat and libogc to SVN version (the one from previous Pimp was 1.8.3 because of a bug introduced in libogc 1.8.4). This bring the fixes by libogc like a better USB compatibility, and some stability fixes. Thanks to __jf__ for the fixing of this libogc bug.
- Now pImp asks you if you want to launch trucha signed games on DVD on Disc channel. If you answer No, ioses will be installed without patchs (except for ios 36 and the one used by system menu). You still have the choice to put thoses patches to "Yes" if you want.
- Fix the return to the Wii menu using a channel / forwarder.
- If a problem occurs during downloading, it will be tried again 2 times.
- Add support to WAD file named in full name obtained from NUS Download for Mii, Photo, News and Forecast channels.
- The "info" export now can use an USB key if you don't have an SD card inserted.
- Fix a bug with minus and plus buttons (previous and next) in the selection of ios/titles to install.
- Fix the support for bad named wad files.
- Add the displaying of the source IOS, the revision of the source IOS and the version number of Hermes' cIOSes installed (ex: v5.1 IOS Source 57 rev 5661).
- Add the displaying of the source IOS, the revision of the source IOS from Waninkoko's cIOS and some installed IOS (ex: IOS source 58 rev 6176). This let you know by example if you have an IOS with a revision number modified (pimp modify this number for stub ios like ios 60).
- In the "Wad" menu, pimp prevent from installing or uninstalling a file that is not a wad file.
- Since latest priiloader doesn't need es_identify on ios used by system menu, Pimp will not detect his absence like an error.
- To hack a Wii, pimp will now patch the IOS 36 instead of 15.
- This fix the fact that during the very first hack, the cIOS 249 could only be installed during the second pass.
- In the Wad menu, long filename will be truncated.
- Clean the memory used after the installation of cIOS.
- The "es downgrade" patch (es version check) now also work on IOS below than 28 (not modular).
- If Wiimote failed during initialisating (because of a bad bluetooth module ??) and if you don't have a gamecube pad, you can now use the power and reset buttons. Power = A, Reset = B. This mode is disabled if there is no problem with Wiimotes.
- Added Korean IOS from 4.3v2 update (40, 43, 45, 46, 48, 52) in the necessary ios "stub" part.
- Increase the revision of the IOS 41 to the latest available.
- Fix some informations displayed in the "infos" export.
- Fix the export of OTP Keys in "infos" (export) which wasn't displayed in some cases.
- Check if Pimp got full hardware acces (HW_AHBPROT). Otherwise, Pimp will ask you to use HBC and put the meta.xml file in the good directory to work properly.
- Added another protection against brick. You cannot installed an stub IOS if the system menu uses that IOS.
This protection is not in place in the "wad" mode. Please be care about WAD you install manually.
- Some minor modifications.

Version 2.11
- Fix the bad detection of the region of 4.3 Wii.
- Updated the revision of IOS (12 13 14 15 17 21 22 28 31 33 34 35 36 37 38 53 55 56 57 58 61 80) from the 7th September 2010 update.
- Updated the Wii Shop to revision 20. You MUST update IOS 56 (with Pimp My Wii) to be able to use it.
- Little fix in the displaying of the changelog.

Version 2.10
- Added German translation by M tha MaN.
- Added Spanish translation by Ravmn
- Fix Spanish and Japanese Wii which were displayed in Italian.
- Fix the ability to use Pimp my Wii even if you have a problem during the Wiimote's initialisation.
- Added the version of Pimp in the CSV export.
- Added the OTP keys (Hash Boot1, Common Key, NG id, NG private key, NAND HMAC, NAND key, RNG key, unknown) in the exported CSV.
- Added the device ID in the exported CSV.
- The exported CSV is now possible in "safe mode" (key "minus" in the menu).
- Added a scroll bar in the changelog viewer (in the updater).
- Fix the detection of minor updates.
- Added the IOS 236 in the list of scanned IOSes.
- Display after the installation if something wasn't successfuly installed.
- Added some translations.
- Some minor improvements / fixes / changes.

Version 2.01
- Pimp can now hack 4.3K Wii (was impossible before). It use a NEW EXCLUSIVE HACK only in Pimp My Wii. IOS 41 is not needed no more !
This hack is of course compatible every Wii, every versions and you do not need to use the Downgrade IOS 15 bug.
Moreover, this hack let you install trucha signed channels/ios without having cIOS.
To function properly, Pimp MUST be launched from Homebrew Channel 1.0.7 or more. Thanks Picsougrip and every other testers.
- Remplacement of IOS 28 v1550 to v1806.
- Remplacement of the necessary IOS for Hackmii Installer from 34 to 61. Now IOS 61 MUST be UNPATCHED and the 34 patched.
- Fix the detection of "es version check", which was saying the bug were always present in Pimp 2.00.
- Add the support of wad filenames (offline mode) named XXXXXXXXYYYYYYYY-NUS-vY.wad. For example, 000000010000000F-NUS-v257.wad is IOS 15 v257.
- When selecting IOS (in safe mode, in the WAD menu or when downgrading IOS 15), you can now if the loadded ios has trucha bug.
- The EULA channel is now proposed to install when in fix mode.
- Fix some random code dump during IOS scan.
- Lowering of the time after the displaying of the title found count.
- When an update is available (after beeing on "Update"), you are now asked if you wan't to update. On 2.00 the update was done automatically.
- Fix the downloading of the icon during update.

Version 2.00
- Can now HACK VIRGIN 4.3 WITHOUT ANY CIOS with the installation of IOS 41 v3348 (do not work for 4.3K Wii).
- You can now update Pimp via internet directly on the homebrew (you need to manually check updates).
- You can now install and uninstall WAD files directly from Pimp My Wii.
- You can now avoid the IOS reload when you are asked to choose an IOS (to "downgrade IOS 15" and for the "safe mode"). cIOS 249 is automatically selectionned if detected.
- You can now switch from IOS list to "other titles" list with - and + buttons.
- Fix a possible freeze of the Wiimote after the message "old ios used".
- Fix a detection of trucha bug problem if you had removed the IOS 4.
- In "infos", it now display the error code returned in the trucha bug column if the bug is not present in the IOS.
- Display a little description of the error -1035 if occured (it means that you have an higher version installed and the loaded IOS have not the es downgrade bug).
- Detect the new title id of the Homebrew Channel 1.07.
- Update of the revisions of the IOS, corresponding to the 4.3 Wii.
- Add IOS 51 as a necessary stub.
- IOSes for a complete installation are now thoses:
9 v1034, 12 v525, 13 v1031, 14 v1031, 15 v1031, 17 v1031, 21 v1038, 22 v1293, 28 v1550, 30 v2576, 31 v3607, 33 v3607, 34 v3607, 35 v3607, 36 v3607, 37 v5662, 38 v4123, 41 v3348, 50 v4889, 53 v5662, 55 v5662, 56 v5661, 57 v5918, 58 v6175, 60 v6174, 61 v5661, 70 v6687 and 80 v6943.
And those stub IOS needed : IOS4v65280, IOS10v768, IOS11v10, IOS16v512, IOS20v12, IOS51v4633 and IOS254v260.
- Display more informations when an error occurs in the exported csv.
- Added cIOS from Waninkoko rev20.

Version 1.43
- Add IOS 58 rev 6175, IOS 80 rev 6943 from 4.3 update. Warning: Those IOS have the "Trucha Bug Restaurer" bug fixed.
- Update the Wii Shop to the revision 19.
- Now also detect System Menu 4.3.
- Update the hidden channel EULA to revision 3 (only in manual mode).
- Warning: If you have a "virgin" 4.3, Pimp cannot do anything for you (because of the correction of the "Trucha Bug Restaurer" bug).

Version 1.42
- Fix the IOS 250 with IOS 57 as source which was freezing when doing IOS reload.

Version 1.41
- Fix a displayed message when detecting the Hermes' cIOS.
- Add the fix from Wad Manager for the installation of trucha signed Wad with cIOS Hermes v5 and Waninkoko v19.
- Now can install the cIOS 250 rev19 from Waninkoko with IOS 57 as source (with revision 65535), as "safety".
- Update the cIOS Hermes to 5.1.
- Now it can check the "real" version of the cIOS Hermes (latest = 5.1) and not just the revision of the cIOS (65535).
- Fix a possible bug that may provented the cIOS from Hermes to be scanned.
- Various fix / changes.

Version 1.40:
- Now it also let you install the cIOS249 rev19 (base IOS 38) from Waninkoko and cIOS 202/222/223/224 (v5) from Hermes in Pimp my Wii.
The cIOS are only proposed to install if Pimp detect that you don't have them at their latest version. To reinstall them, go to "Manual installation".
Note: Do not add patchs to cIOS, because they already have those patchs inside.
(Thanks Waninkoko for his help and Orwel and the whole of Wii Info for the tests).
- Changed the text displayed when choosing offline mode.
- At the end of the scan, a message is displayed to avoid the return to the menu without saying anything is no problems are found.
- If the internet connexion give an error -116, Pimp asks you if you want to retry (the error -116 may be temporary and sometimes a couple of tries may solve the problem).
- "Minimal installation" is now "Hack your Wii/Minimal installation" because it also install cIOSes.
- Compiled with devkitPPC release 21, libogc 1.8.3.

Version 1.32:
- Each load IOS appears. If that fails, he will be retried 10 times (possible correction of "Bad ios used").
- Should fix some code dump when installing / downloading.
- Change minor readme (version of wii shop).
- Using devkitPPC r19, latest libogc, libfat 1.0.6, release devkitARM 27.
- Fix detection of IOS used by the Homebrew Channel.
- Display mode "safe mode" the IOS stub that does not use.

Version 1.31:
- Upgrade to v18 of Wii Shop.
- Try 10 times to load IOS if IOS_Reload failed.
- Now display if full NAND access is possible on the IOS.
- Display during a test if HBC will be upside down because of an modified IOS used.
- Now during the network init, you must press A to initiate or B to be on offline mode.
- Displays more errors during downgrade of IOS 15. Even with error -1017 with ES_AddTitleFinish, the downgrade may be successful..

Version 1.3:
- New option in the menu "Downgrade IOS 15". You only choose the IOS to use to downgrade the IOS 15 that will restaure the trucha bug inside.
- Now when you pass a simple test, there is no more initialisation of internet/sd/usb and do not propose the downgrading of IOS in certains cases.
- When no useful IOS has been found, it now use IOS 36 instead, or 28, 33, 55, 30 or the IOS used by system menu if they are not found.
- Added a "Infos" mode where it writes informations on SD card about installed titles.
- If pimp my wii detects an outdated MIOS and if you have an non original MIOS (means a Custom MIOS), it will tell you that upgrading this will replace the cMIOS.
- Displays navigation buttons.
- Proposes the installation of EULA in manual installation.

Version 1.11:
- Corrected the problem introduced in 1.1 that were saying that HBC and Wii Shop weren't installed.
- Does not test IOS 30 anymore since it may cause problems on "recents" wii that refuse old IOSes.

Version 1.1:
- Correcting a bug that made 3.3 and 3.4 Wii without any IOS containing Trucha Bug unable to downgrade IOS15.
- Correcting a message about an outdated cIOS.
- If Your IOS 249 is a stub (with a official 4.2 update), it will tell you that you don't have any cIOS.
- Another check to verify that the loading of the "best" IOS has worked.
- Adding the new title id of HBC to verify that it has been installed.
- Added IOS 70 and the update of every other IOS.
- Still install 4.1, NOT 4.2.
- Updated the Wii Shop version to v17.
- No more patch on IOS 61 to prevent problems with Wii Shop and to let Homebrew Channel use it (without upside down).
- New stub verification based on size of IOS.
- It now tell you which IOS are stub.
- Internal improvement of the default choice for IOSes patches.
- Let you navigate through the list of IOS with "minus" and "plus" (or Trigger L / R for GameCube pad).
- Now detect if IOSes 30, 50 and 60 are stub (non usable) and install an older version (non stub, so usable) and replace the revision number inside. It may prevent brick if you install a lower System Menu without installing associated IOS (or if you downgrade your Wii then upgrade using a DVD of a game).
- Now prevent installing System Menu 4.1 if your IOS 60 is a stub.
- Downgrade of IOS 15 now works for Wii 4.2.
- Added a description of each choice in the menu.
- Added an "minimal installation" mode to just downgrade IOS 15 if necessary and patch IOS 36 to include the trucha bug inside.
- Added an individual description on each IOS when asking for install.

Version 1.01:
- There are less IOS tested, only those necessary for games and IOS 249 and 202 are tested (if present).
- There won't be any reboot on bootmii installed as IOS anymore when testing IOS.
- It shouldn't do code dump when testing IOS.
- Adding the installation of other IOS, thoses considerated as "stub" (unusable), but necessary to prevent the asking of update when inserting new games. The homebrew will try to install older revision but usable and patch the revision number to the highest.
- Corrected a bug that forced to downgrade the IOS 15 if you would not have a Custom IOS (or an IOS that can downgrade a revision).
- Addition of a "safe mode" (press "minus" in the menu to activate). In this mode, the test of IOS is disabled, you must instead choose an IOS to use for the installation. In this mode, you won't be able to know if your installed IOS have the differents bugs, and the program won't be able to tell you if the IOS you have need to be patched.
- Little reorganization to the list of titles to install.
 

Lizenz:

 

Impressum | Team | Über unsere Webseite | Partner | Markennamen sind Eigentum der jeweiligen Firmen. Wii ist ein eingetragenes Warenzeichen der Firma Nintendo.
Powered by Joomla! Designed by SiteGround web hosting and modified by Quali| Wii-Homebrew.com ist ein inoffizielles & unabhängiges Download/Informationsportal.

TOP Partner: Nintendomax - WiiTDB - MonkeyDesk - PDRoms -
GeckoCodes